Joomla! 3.9.16 Released

Joomla 3.9.16 is now available.

This is a security release for the 3.x series of Joomla which addresses six security vulnerabilities and contains over 20 bug fixes and improvements.

 

Potential Upgrade Issue

If your database contains duplicated usernames, the upgrade process will fail to create a database index. This will not affect the operation of your website but should be solved. More information can be found in this FAQ.

What's in 3.9.16?

Joomla 3.9.16 includes 6 security vulnerability fixes and addresses several bugs, including:

Security Issues Fixed

  • Low Priority - Core - SQL injection in Featured Articles menu parameters (affecting Joomla 1.7.0 through 3.9.15)
  • Low Priority - Core - CSRF in com_templates image actions (affecting Joomla 3.2.0 through 3.9.15)
  • Low Priority - Core - XSS in Protostar and Beez3 (affecting Joomla 3.0.0 through 3.9.15)
  • Low Priority - Core - XSS in Protostar and Beez3 (affecting Joomla 3.0.0 through 3.9.15)
  • Low Priority - Core - Identifier collisions in com_users (affecting Joomla 3.0.0 through 3.9.15)
  • Low Priority - Core - Incorrect Access Control in com_fields SQL field (affecting Joomla 3.7.0 through 3.9.15)

Bug fixes and Improvements

  • Link rel attributes: ‘noopener’ attributes #28005, ‘sponsored’ and ‘ugc’ attributes #28055
  • Fields - Imagelist: Correct the display of the folder structure #16708
  • Popular Tags Module fix #27745
  • User - Contact Creator plugin: catid fixed #27949

Visit GitHub for more information about this issue.

Click here for full release information.

We are familiar with the implementation of the upgrade and are currently upgrading multiple sites CONTACT US for a free proposal to update your site.

Joomla Business Support Joomla Hosting Provider Joomla Solutions Developer